- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# icx_system – Manage the system attributes on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of node system attributes on Ruckus ICX 7000 series switches. It provides an option to configure host system parameters or remove those parameters from the device active configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aaa_servers list |  | Configures radius/tacacs server
| acct_port_num string |  | Configures the accounting UDP port. The default value is 1813.
| acct_type string | Choices: accounting-only authentication-only authorization-only default | Usage of the accounting port.
| auth_key string |  | Configure the key for the server
| auth_key_type list | Choices: dot1x mac-auth web-auth | List of authentication level specified in the choices
| auth_port_num string |  | Configures the authentication UDP port. The default value is 1812.
| auth_port_type string | Choices: auth-port | specifies the type of the authentication port
| hostname string |  | Configures the host name of the RADIUS server
| type string | Choices: radius tacacs | specify the type of the server
check_running_config boolean | Choices: no yes ← | Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.
domain_name list |  | Configure the IP domain name on the remote device to the provided value. Value should be in the dotted name form and will be appended to the hostname to create a fully-qualified domain name.
domain_search list |  | Provides the list of domain names to append to the hostname for the purpose of doing name resolution. This argument accepts a list of names and will be reconciled with the current active configuration on the running node.
hostname string |  | Configure the device hostname parameter. This option takes an ASCII string value.
name_servers list |  | List of DNS name servers by IP address to use to perform name resolution lookups.
state string | Choices: present ← absent | State of the configuration values in the device's current active configuration. When set to present, the values should be configured in the device active configuration and when set to absent the values should not be in the device active configuration

## Notes

Note

- Tested against ICX 10.1.
- For information on using ICX platform, see the ICX OS Platform Options guide.

## Examples

    - name: configure hostname and domain name
      icx_system:
        hostname: icx
        domain_search:
          - ansible.com
          - redhat.com
          - ruckus.com

    - name: configure radius server of type auth-port
      icx_system:
        aaa_servers:
          - type: radius
            hostname: radius-server
            auth_port_type: auth-port
            auth_port_num: 1821
            acct_port_num: 1321
            acct_type: accounting-only
            auth_key: abc
            auth_key_type:
              - dot1x
              - mac-auth

    - name: configure tacacs server
      icx_system:
        aaa_servers:
          - type: tacacs
            hostname: tacacs-server
            auth_port_type: auth-port
            auth_port_num: 1821
            acct_port_num: 1321
            acct_type: accounting-only
            auth_key: xyz

    - name: configure name servers
      icx_system:
        name_servers:
          - 8.8.8.8
          - 8.8.4.4

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['hostname icx', 'ip domain name test.example.com', 'radius-server host 172.16.10.12 auth-port 2083 acct-port 1850 default key abc dot1x mac-auth', 'tacacs-server host 10.2.3.4 auth-port 4058 authorization-only key xyz']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.